# Briefs

The Briefs API lets you retrieve available brief types, generate briefs based on a brief type and brand kit, create briefs and save it as a draft, and retrieve details of a specific brief.

 - [GET /api/v1/brief/brief-types](https://api-docs.sitecore.com/sai/agent-api/briefs/list-brief_types.md): Retrieves a list of available brief types, including their metadata and field definitions such as field types, labels, validation rules, and other information used by AI when generating briefs.
 - [GET /api/v1/brief](https://api-docs.sitecore.com/sai/agent-api/briefs/list-briefs.md): Retrieves a list of briefs in your organization.
 - [POST /api/v1/brief](https://api-docs.sitecore.com/sai/agent-api/briefs/brief-create_brief.md): Creates a brief using the specified brief type ID, locale, and provided data fields. The new brief is saved as a draft in the [Brief management tool](https://doc.sitecore.com/sai/en/users/sitecoreai/m
 - [POST /api/v1/brief/generate](https://api-docs.sitecore.com/sai/agent-api/briefs/briefs-generate_brief.md): Generates a brief draft and the content of its fields, using the specified brief type, brand kit, and prompt. This endpoint does not save the generated draft. You can copy the response and use the [Cr
 - [GET /api/v1/brief/brief-types/{brief_type_id}](https://api-docs.sitecore.com/sai/agent-api/briefs/get-brief_type_by_id.md): Retrieves a specific brief type by its ID, including its field definitions and metadata.
 - [GET /api/v1/brief/{brief_id}](https://api-docs.sitecore.com/sai/agent-api/briefs/get-brief_by_id.md): Retrieves a specific brief by its ID, including its fields, type reference, and metadata.
 - [PUT /api/v1/brief/{brief_id}](https://api-docs.sitecore.com/sai/agent-api/briefs/brief-update_brief.md): Partially updates an existing brief using the provided fields. Only the fields included in the request body will be updated; all other existing fields will remain unchanged.
 - [POST /api/v1/briefs/generate](https://api-docs.sitecore.com/sai/agent-api/briefs/briefs-generate_brief_deprecated.md): Generates a brief and the content of its fields, using the specified brief type, brand kit, and prompt. This endpoint does not save the generated draft. You can copy the response and use the [Create a
